jvx.volume

## Class PwSimplifyTet

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.volume.PwSimplifyTet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwSimplifyTet
      extends PjWorkshop

  Workshop for simplifying PgTetraSet.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    09.03.15, 2.00 revised (kp) Moved to jvx.volume from dev.volume.
    01.10.12, 1.00 created.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwSimplifyTet()` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `collapseEdge(PgTetraSet tetraSet, int tetIndex, int edgeIndex)` Collapse an edge in a PgTetraSet.
    `static void` | `collapseFirstEdge(PgTetraSet tetraSet)` Test Method: Collapse edge with local index 0 in tetrahedron 0.
    `static void` | `collapseHighestValenceEdge(PgTetraSet tetraSet)` Test Method: Collapse the edge with highest valence in a PgTetraSet.
    `static void` | `collapseShortestEdge(PgTetraSet tetraSet)` Test Method: Collapse the shortest edge in a PgTetraSet.
    `void` | `init()` Initialization.
    `void` | `initializeQueue()` Compute the necessary combinatorial data structure, Initialize Priority Queue.
    `static void` | `moveVertex(PgTetraSet tetraSet, int vertexIndex0, int vertexIndex1)` Set vertex to edge mid point (if both vertices are interior vertices or if the Edge is a boundary edge).
    `void` | `setGeometry(PgGeometry geom)` Set the geometry to work on.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, reset, setDisplay, setDisplays, setModal, setMode, setStandalone, setViewer`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwSimplifyTet

          public PwSimplifyTet()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PjWorkshop`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjWorkshop`
      Parameters:
        `event` - sender of this update.
      Returns:
        true if update was correctly handled by superclass.
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### setGeometry

          public void setGeometry(PgGeometry geom)

      Set the geometry to work on.
      Specified by:
        `setGeometry` in interface `PjWorkshopIf`
      Overrides:
        `setGeometry` in class `PjWorkshop`
      Parameters:
        `geom` - the workshop modifies this geometry.

    - #### initializeQueue

          public void initializeQueue()

      Compute the necessary combinatorial data structure, Initialize Priority Queue.

    - #### collapseHighestValenceEdge

          public static void collapseHighestValenceEdge(PgTetraSet tetraSet)

      Test Method: Collapse the edge with highest valence in a PgTetraSet.

    - #### collapseShortestEdge

          public static void collapseShortestEdge(PgTetraSet tetraSet)

      Test Method: Collapse the shortest edge in a PgTetraSet.

    - #### collapseFirstEdge

          public static void collapseFirstEdge(PgTetraSet tetraSet)

      Test Method: Collapse edge with local index 0 in tetrahedron 0.

    - #### moveVertex

          public static void moveVertex(PgTetraSet tetraSet,
                                        int vertexIndex0,
                                        int vertexIndex1)

      Set vertex to edge mid point (if both vertices are interior vertices or if the Edge is a boundary edge).

    - #### collapseEdge

          public static void collapseEdge(PgTetraSet tetraSet,
                                          int tetIndex,
                                          int edgeIndex)

      Collapse an edge in a PgTetraSet. This method handles only the connectivity: Degenerating tetrahedra are tagged IS_DELETED, the lower vertex index is kept, the higher will be unused.

"

The software JavaView? is copyright protected. All Rights Reserved.
"